# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl(Exporter.pm) perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-WWW-Shorten
Version:        3.03
Release:        alt1_4
Summary:        Interface to URL shortening sites
License:        Artistic 2.0
Group:          Development/Perl
URL:            http://search.cpan.org/dist/WWW-Shorten/
Source0:        http://www.cpan.org/authors/id/D/DA/DAVECROSS/WWW-Shorten-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  glibc-utils
BuildRequires:  perl(base.pm)
BuildRequires:  perl(Carp.pm)
BuildRequires:  perl(Config/Auto.pm)
BuildRequires:  perl(LWP.pm)
BuildRequires:  perl(LWP/UserAgent.pm)
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/More.pm)
BuildRequires:  perl(Test/Pod/Coverage.pm)
BuildRequires:  perl(Test/Pod.pm)
BuildRequires:  perl(URI.pm)
Source44: import.info

%description
A unified interface to various URL shortening services on the web, such as
TinyURL or makeashorterlink.com.

%prep
%setup -q -n WWW-Shorten-%{version}
iconv --from=ISO-8859-1 --to=UTF-8 LICENCE > LICENCE.conv && touch -r LICENCE LICENCE.conv && mv -f LICENCE.conv LICENCE

%build
%{__perl} Build.PL --install_path bindoc=%_man1dir installdirs=vendor
./Build

%install
./Build install destdir=$RPM_BUILD_ROOT create_packlist=0
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

# %{_fixperms} $RPM_BUILD_ROOT/*

%check
./Build test --test_files 't/0*.t t/9*.t'

%files
%doc Artistic AUTHORS ChangeLog.SPOON Changes CREDITS LICENCE README TODO
%{perl_vendor_privlib}/*
%{_bindir}/shorten
%{_mandir}/man1/*

%changelog
* Mon Mar 04 2013 Igor Vlasenko <viy@altlinux.ru> 3.03-alt1_4
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 3.03-alt1_3
- update to new release by fcimport

* Sun May 27 2012 Igor Vlasenko <viy@altlinux.ru> 3.03-alt1_1
- fc import

